com.fasterxml.jackson.databind.deser.impl

## Class NullProvider

- java.lang.Object
- - com.fasterxml.jackson.databind.deser.impl.NullProvider

All Implemented Interfaces:
  Serializable

Deprecated.

    @Deprecated
    public final class NullProvider
    extends Object
    implements Serializable

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`NullProvider(JavaType type, Object nullValue)` Deprecated.

### Method Summary

Methods
`Object` `nullValue(DeserializationContext ctxt)` Deprecated.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### NullProvider

    public NullProvider(JavaType type,
                Object nullValue)

Deprecated.

### Method Detail

#### nullValue

    public Object nullValue(DeserializationContext ctxt)
                     throws JsonProcessingException

Deprecated.

Throws:
  `JsonProcessingException`